import request from '@/utils/request'

// 查询诊断结果列表
export function listDiagnoseResult(query) {
  return request({
    url: '/manage/diagnoseResult/list',
    method: 'get',
    params: query
  })
}

// 查询诊断结果详细
export function getDiagnoseResult(id) {
  return request({
    url: '/manage/diagnoseResult/' + id,
    method: 'get'
  })
}

// 新增诊断结果
export function addDiagnoseResult(data) {
  return request({
    url: '/manage/diagnoseResult',
    method: 'post',
    data: data
  })
}

// 修改诊断结果
export function updateDiagnoseResult(data) {
  return request({
    url: '/manage/diagnoseResult',
    method: 'put',
    data: data
  })
}

// 删除诊断结果
export function delDiagnoseResult(id) {
  return request({
    url: '/manage/diagnoseResult/' + id,
    method: 'delete'
  })
}
